All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface Level

All Superinterfaces:
  CMetadata, Feature, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

    public interface Level

extends Feature

An element of a dimension hierarchy. Levels describe the dimension from the highest (most summarized) level to the lowest (most detailed) level. For example, possible levels for a Geography dimension are Country, Region, State or Province, and City.

Attributes of Level are:

- `Cardinality`
- `UniqueName`
- `LevelType`
- `SortOrder`
- `SASFormat`

Associations of Level are:

- `Hierarchies`
- `OLAPProperties`
- `OwningDimension`
- `Aggregations`
- `CalculatedMembers`
- `HierarchyLevels`

## Usage

To create an instance of this Level, use the `factory` create methods.
Example: create a Level with name "Level_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Level myObject = (Level) factory.createComplexMetadataObject(objectStore, "Level_Object", MetadataObjects.LEVEL, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_AGGREGATIONS_NAME` Constant used for the name of the Aggregations association.
`static java.lang.String` | `ASSOCIATION_CALCULATEDMEMBERS_NAME` Constant used for the name of the CalculatedMembers association.
`static java.lang.String` | `ASSOCIATION_HIERARCHIES_NAME` Constant used for the name of the Hierarchies association.
`static java.lang.String` | `ASSOCIATION_HIERARCHYLEVELS_NAME` Constant used for the name of the HierarchyLevels association.
`static java.lang.String` | `ASSOCIATION_OLAPPROPERTIES_NAME` Constant used for the name of the OLAPProperties association.
`static java.lang.String` | `ASSOCIATION_OWNINGDIMENSION_NAME` Constant used for the name of the OwningDimension association.
`static java.lang.String` | `ATTRIBUTE_CARDINALITY_NAME` Constant used for the name of the Cardinality attribute.
`static java.lang.String` | `ATTRIBUTE_LEVELTYPE_NAME` Constant used for the name of the LevelType attribute.
`static java.lang.String` | `ATTRIBUTE_SASFORMAT_NAME` Constant used for the name of the SASFormat attribute.
`static java.lang.String` | `ATTRIBUTE_SORTORDER_NAME` Constant used for the name of the SortOrder attribute.
`static java.lang.String` | `ATTRIBUTE_UNIQUENAME_NAME` Constant used for the name of the UniqueName attribute.

Fields inherited from interface com.sas.metadata.remote.Feature
`ASSOCIATION_SOURCEFEATUREMAPS_NAME, ASSOCIATION_TARGETFEATUREMAPS_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract AssociationList` | `getAggregations()` Gets the Association list of `Aggregations`
`abstract AssociationList` | `getAggregations(boolean fGoToServer)` Gets the Associationlist of `Aggregations`
`abstract AssociationList` | `getCalculatedMembers()` Gets the Association list of `CalculatedMembers`
`abstract AssociationList` | `getCalculatedMembers(boolean fGoToServer)` Gets the Associationlist of `CalculatedMembers`
`abstract int` | `getCardinality()` Gets the `int` value of `Cardinality`
`abstract int` | `getCardinalityState()` Gets the Metadata State of `Cardinality`
`abstract AssociationList` | `getHierarchies()` Gets the AssociationList of `Hierarchies`
`abstract AssociationList` | `getHierarchies(boolean fGoToServer)` Gets the Associationlist of `Hierarchies`
`abstract AssociationList` | `getHierarchyLevels()` Gets the Association list of `HierarchyLevels`
`abstract AssociationList` | `getHierarchyLevels(boolean fGoToServer)` Gets the Associationlist of `HierarchyLevels`
`abstract int` | `getLevelType()` Gets the `int` value of `LevelType`
`abstract int` | `getLevelTypeState()` Gets the Metadata State of `LevelType`
`abstract AssociationList` | `getOLAPProperties()` Gets the AssociationList of `OLAPProperties`
`abstract AssociationList` | `getOLAPProperties(boolean fGoToServer)` Gets the Associationlist of `OLAPProperties`
`abstract Dimension` | `getOwningDimension()` Gets the `Dimension` for `OwningDimension`
`abstract AssociationList` | `getOwningDimensions()` Gets the AssociationList of `OwningDimensions`
`abstract AssociationList` | `getOwningDimensions(boolean fGoToServer)` Gets the Associationlist of `OwningDimensions`
`abstract java.lang.String` | `getSASFormat()` Gets the `String` value of `SASFormat`
`abstract int` | `getSASFormatMaxLength()` Gets the maximum length of `SASFormat`
`abstract int` | `getSASFormatState()` Gets the Metadata State of `SASFormat`
`abstract java.lang.String` | `getSortOrder()` Gets the `String` value of `SortOrder`
`abstract int` | `getSortOrderMaxLength()` Gets the maximum length of `SortOrder`
`abstract int` | `getSortOrderState()` Gets the Metadata State of `SortOrder`
`abstract java.lang.String` | `getUniqueName()` Gets the `String` value of `UniqueName`
`abstract int` | `getUniqueNameMaxLength()` Gets the maximum length of `UniqueName`
`abstract int` | `getUniqueNameState()` Gets the Metadata State of `UniqueName`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `Hierarchies` `OLAPProperties` `OwningDimension`
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are: `OwningDimension`
`abstract void` | `setAggregations(AssociationList list)` Sets the `Aggregations` list to be `list`.
`abstract void` | `setAggregations(AssociationList inObjects, int state)` Sets the entire Aggregations list to match the passed in AssociationList, sets the state of the Aggregations
`abstract void` | `setCalculatedMembers(AssociationList list)` Sets the `CalculatedMembers` list to be `list`.
`abstract void` | `setCalculatedMembers(AssociationList inObjects, int state)` Sets the entire CalculatedMembers list to match the passed in AssociationList, sets the state of the CalculatedMembers
`abstract void` | `setCardinality(int inCardinality)` Sets the `Cardinality` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setCardinality(int inCardinality, int state)` Sets the `Cardinality` Metadata State.
`abstract void` | `setCardinality(java.lang.String inCardinality)` Sets the `Cardinality` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setCardinality(java.lang.String inCardinality, int state)` Sets the `Cardinality` value and Metadata State.
`abstract void` | `setCardinalityState(int state)` Sets the Metadata State of `Cardinality`.
`abstract void` | `setHierarchies(AssociationList list)` Sets the `Hierarchies` list to be `list`.
`abstract void` | `setHierarchies(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setHierarchyLevels(AssociationList list)` Sets the `HierarchyLevels` list to be `list`.
`abstract void` | `setHierarchyLevels(AssociationList inObjects, int state)` Sets the entire HierarchyLevels list to match the passed in AssociationList, sets the state of the HierarchyLevels
`abstract void` | `setLevelType(int inLevelType)` Sets the `LevelType` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setLevelType(int inLevelType, int state)` Sets the `LevelType` Metadata State.
`abstract void` | `setLevelType(java.lang.String inLevelType)` Sets the `LevelType` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setLevelType(java.lang.String inLevelType, int state)` Sets the `LevelType` value and Metadata State.
`abstract void` | `setLevelTypeState(int state)` Sets the Metadata State of `LevelType`.
`abstract void` | `setOLAPProperties(AssociationList list)` Sets the `OLAPProperties` list to be `list`.
`abstract void` | `setOLAPProperties(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setOwningDimension(Dimension inObject)` Sets the `OwningDimensions` list 0th element to be `inObject`.
`abstract void` | `setOwningDimensions(AssociationList list)` Sets the `OwningDimensions` list to be `list`.
`abstract void` | `setOwningDimensions(AssociationList list, int state)` Sets the `OwningDimensions` list to be `list`.
`abstract void` | `setSASFormat(java.lang.String inSASFormat)` Sets the `SASFormat` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setSASFormat(java.lang.String inSASFormat, int state)` Sets the `SASFormat` Metadata State.
`abstract void` | `setSASFormatState(int state)` Sets the Metadata State of `SASFormat`.
`abstract void` | `setSortOrder(java.lang.String inSortOrder)` Sets the `SortOrder` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setSortOrder(java.lang.String inSortOrder, int state)` Sets the `SortOrder` Metadata State.
`abstract void` | `setSortOrderState(int state)` Sets the Metadata State of `SortOrder`.
`abstract void` | `setUniqueName(java.lang.String inUniqueName)` Sets the `UniqueName` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setUniqueName(java.lang.String inUniqueName, int state)` Sets the `UniqueName` Metadata State.
`abstract void` | `setUniqueNameState(int state)` Sets the Metadata State of `UniqueName`.

Methods inherited from interface com.sas.metadata.remote.Feature
`getSourceFeatureMaps, getSourceFeatureMaps, getTargetFeatureMaps, getTargetFeatureMaps, setSourceFeatureMaps, setSourceFeatureMaps, setTargetFeatureMaps, setTargetFeatureMaps`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_CARDINALITY_NAME

    static final java.lang.String ATTRIBUTE_CARDINALITY_NAME

  Constant used for the name of the Cardinality attribute.

  Cardinality: The number of members in this level.

  See Also:
    Constant Field Values

### ATTRIBUTE_UNIQUENAME_NAME

    static final java.lang.String ATTRIBUTE_UNIQUENAME_NAME

  Constant used for the name of the UniqueName attribute.

  UniqueName: The unique name for this level.

  See Also:
    Constant Field Values

### ATTRIBUTE_LEVELTYPE_NAME

    static final java.lang.String ATTRIBUTE_LEVELTYPE_NAME

  Constant used for the name of the LevelType attribute.

  LevelType: An enumeration of types of levels. From the OLEDB for OLAP spec. REGULAR 1 TIME 8 YEARS 16 HALF_YEARS 32 QUARTERS 64 MONTHS 128 WEEKS 256 DAYS 512 HOURS 1024 MINUTES 2048 SECONDS 4096

  See Also:
    Constant Field Values

### ATTRIBUTE_SORTORDER_NAME

    static final java.lang.String ATTRIBUTE_SORTORDER_NAME

  Constant used for the name of the SortOrder attribute.

  SortOrder: This is an indication of the sort order of this column in this table. It can be ASCENDING, DESCENDING, ASCFORMATTED, DESFORMATTED, DSORDER.

  See Also:
    Constant Field Values

### ATTRIBUTE_SASFORMAT_NAME

    static final java.lang.String ATTRIBUTE_SASFORMAT_NAME

  Constant used for the name of the SASFormat attribute.

  SASFormat: SASFormat

  See Also:
    Constant Field Values

### ASSOCIATION_HIERARCHIES_NAME

    static final java.lang.String ASSOCIATION_HIERARCHIES_NAME

  Constant used for the name of the Hierarchies association.

  Hierarchies: The list of hierarchies that include this level.

  See Also:
    Constant Field Values

### ASSOCIATION_OLAPPROPERTIES_NAME

    static final java.lang.String ASSOCIATION_OLAPPROPERTIES_NAME

  Constant used for the name of the OLAPProperties association.

  OLAPProperties: The list of OLAP properties for this level.

  See Also:
    Constant Field Values

### ASSOCIATION_OWNINGDIMENSION_NAME

    static final java.lang.String ASSOCIATION_OWNINGDIMENSION_NAME

  Constant used for the name of the OwningDimension association.

  OwningDimension: The dimension that includes this level.

  See Also:
    Constant Field Values

### ASSOCIATION_AGGREGATIONS_NAME

    static final java.lang.String ASSOCIATION_AGGREGATIONS_NAME

  Constant used for the name of the Aggregations association.

  Aggregations: The aggregations associated with this level.

  See Also:
    Constant Field Values

### ASSOCIATION_CALCULATEDMEMBERS_NAME

    static final java.lang.String ASSOCIATION_CALCULATEDMEMBERS_NAME

  Constant used for the name of the CalculatedMembers association.

  CalculatedMembers: The calculated members for this level.

  See Also:
    Constant Field Values

### ASSOCIATION_HIERARCHYLEVELS_NAME

    static final java.lang.String ASSOCIATION_HIERARCHYLEVELS_NAME

  Constant used for the name of the HierarchyLevels association.

  HierarchyLevels: The list of hierarchy levels associated with this level.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:
  `OwningDimension`

  Specified by:
    `initializeRequiredObjects` in interface `Feature`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `Hierarchies`
  `OLAPProperties`
  `OwningDimension`

  Specified by:
    `initializePredObjects` in interface `Feature`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getCardinality

    int getCardinality()
                       throws java.rmi.RemoteException

  Gets the `int` value of `Cardinality`

  Returns:
    The `Cardinality`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getCardinalityState

    int getCardinalityState()
                            throws java.rmi.RemoteException

  Gets the Metadata State of `Cardinality`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getUniqueName

    java.lang.String getUniqueName()
                                   throws java.rmi.RemoteException

  Gets the `String` value of `UniqueName`

  Returns:
    The `UniqueName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getUniqueNameState

    int getUniqueNameState()
                           throws java.rmi.RemoteException

  Gets the Metadata State of `UniqueName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getUniqueNameMaxLength

    int getUniqueNameMaxLength()
                               throws java.rmi.RemoteException

  Gets the maximum length of `UniqueName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLevelType

    int getLevelType()
                     throws java.rmi.RemoteException

  Gets the `int` value of `LevelType`

  Returns:
    The `LevelType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLevelTypeState

    int getLevelTypeState()
                          throws java.rmi.RemoteException

  Gets the Metadata State of `LevelType`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSortOrder

    java.lang.String getSortOrder()
                                  throws java.rmi.RemoteException

  Gets the `String` value of `SortOrder`

  Returns:
    The `SortOrder`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSortOrderState

    int getSortOrderState()
                          throws java.rmi.RemoteException

  Gets the Metadata State of `SortOrder`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSortOrderMaxLength

    int getSortOrderMaxLength()
                              throws java.rmi.RemoteException

  Gets the maximum length of `SortOrder`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSASFormat

    java.lang.String getSASFormat()
                                  throws java.rmi.RemoteException

  Gets the `String` value of `SASFormat`

  Returns:
    The `SASFormat`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSASFormatState

    int getSASFormatState()
                          throws java.rmi.RemoteException

  Gets the Metadata State of `SASFormat`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSASFormatMaxLength

    int getSASFormatMaxLength()
                              throws java.rmi.RemoteException

  Gets the maximum length of `SASFormat`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getHierarchies

    AssociationList getHierarchies()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the AssociationList of `Hierarchies`

  Returns:
    Returns the AssociationList of `Hierarchies` which can be of type:
    Hierarchy
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOLAPProperties

    AssociationList getOLAPProperties()
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the AssociationList of `OLAPProperties`

  Returns:
    Returns the AssociationList of `OLAPProperties` which can be of type:
    OLAPProperty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOwningDimensions

    AssociationList getOwningDimensions()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the AssociationList of `OwningDimensions`

  Returns:
    Returns the AssociationList of `OwningDimensions` which can be of type:
    Dimension
    SharedDimension
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getOwningDimension

    Dimension getOwningDimension()
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the `Dimension` for `OwningDimension`

  Returns:
    The `Dimension` ( `null` if not set) of `OwningDimension`which can be of type:
    Dimension
    SharedDimension
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getAggregations

    AssociationList getAggregations()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Association list of `Aggregations`

  Returns:
    The AssociationList of `Aggregations` which can be of type:
    Aggregation
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCalculatedMembers

    AssociationList getCalculatedMembers()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Association list of `CalculatedMembers`

  Returns:
    The AssociationList of `CalculatedMembers` which can be of type:
    CalculatedMember
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getHierarchyLevels

    AssociationList getHierarchyLevels()
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the Association list of `HierarchyLevels`

  Returns:
    The AssociationList of `HierarchyLevels` which can be of type:
    HierarchyLevel
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getHierarchies

    AssociationList getHierarchies(boolean fGoToServer)
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Associationlist of `Hierarchies`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `Hierarchies` which can be of type:
    Hierarchy
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOLAPProperties

    AssociationList getOLAPProperties(boolean fGoToServer)
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the Associationlist of `OLAPProperties`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `OLAPProperties` which can be of type:
    OLAPProperty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOwningDimensions

    AssociationList getOwningDimensions(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `OwningDimensions`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `OwningDimensions` which can be of type:
    Dimension
    SharedDimension
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getAggregations

    AssociationList getAggregations(boolean fGoToServer)
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Associationlist of `Aggregations`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Aggregations` which can be of type:
    Aggregation
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCalculatedMembers

    AssociationList getCalculatedMembers(boolean fGoToServer)
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Associationlist of `CalculatedMembers`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `CalculatedMembers` which can be of type:
    CalculatedMember
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getHierarchyLevels

    AssociationList getHierarchyLevels(boolean fGoToServer)
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the Associationlist of `HierarchyLevels`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `HierarchyLevels` which can be of type:
    HierarchyLevel
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setCardinality

    void setCardinality(int inCardinality)
                        throws java.rmi.RemoteException

  Sets the `Cardinality` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inCardinality` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCardinality

    void setCardinality(int inCardinality,
                        int state)
                        throws java.rmi.RemoteException

  Sets the `Cardinality` Metadata State.

  Parameters:
    `inCardinality` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCardinality

    void setCardinality(java.lang.String inCardinality)
                        throws java.rmi.RemoteException

  Sets the `Cardinality` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inCardinality` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCardinality

    void setCardinality(java.lang.String inCardinality,
                        int state)
                        throws java.rmi.RemoteException

  Sets the `Cardinality` value and Metadata State.

  Parameters:
    `inCardinality` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCardinalityState

    void setCardinalityState(int state)
                             throws java.rmi.RemoteException

  Sets the Metadata State of `Cardinality`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUniqueName

    void setUniqueName(java.lang.String inUniqueName)
                       throws java.rmi.RemoteException

  Sets the `UniqueName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inUniqueName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUniqueName

    void setUniqueName(java.lang.String inUniqueName,
                       int state)
                       throws java.rmi.RemoteException

  Sets the `UniqueName` Metadata State.

  Parameters:
    `inUniqueName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUniqueNameState

    void setUniqueNameState(int state)
                            throws java.rmi.RemoteException

  Sets the Metadata State of `UniqueName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLevelType

    void setLevelType(int inLevelType)
                      throws java.rmi.RemoteException

  Sets the `LevelType` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inLevelType` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLevelType

    void setLevelType(int inLevelType,
                      int state)
                      throws java.rmi.RemoteException

  Sets the `LevelType` Metadata State.

  Parameters:
    `inLevelType` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLevelType

    void setLevelType(java.lang.String inLevelType)
                      throws java.rmi.RemoteException

  Sets the `LevelType` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inLevelType` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLevelType

    void setLevelType(java.lang.String inLevelType,
                      int state)
                      throws java.rmi.RemoteException

  Sets the `LevelType` value and Metadata State.

  Parameters:
    `inLevelType` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLevelTypeState

    void setLevelTypeState(int state)
                           throws java.rmi.RemoteException

  Sets the Metadata State of `LevelType`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSortOrder

    void setSortOrder(java.lang.String inSortOrder)
                      throws java.rmi.RemoteException

  Sets the `SortOrder` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inSortOrder` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSortOrder

    void setSortOrder(java.lang.String inSortOrder,
                      int state)
                      throws java.rmi.RemoteException

  Sets the `SortOrder` Metadata State.

  Parameters:
    `inSortOrder` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSortOrderState

    void setSortOrderState(int state)
                           throws java.rmi.RemoteException

  Sets the Metadata State of `SortOrder`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSASFormat

    void setSASFormat(java.lang.String inSASFormat)
                      throws java.rmi.RemoteException

  Sets the `SASFormat` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inSASFormat` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSASFormat

    void setSASFormat(java.lang.String inSASFormat,
                      int state)
                      throws java.rmi.RemoteException

  Sets the `SASFormat` Metadata State.

  Parameters:
    `inSASFormat` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSASFormatState

    void setSASFormatState(int state)
                           throws java.rmi.RemoteException

  Sets the Metadata State of `SASFormat`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHierarchies

    void setHierarchies(AssociationList list)
                        throws java.rmi.RemoteException

  Sets the `Hierarchies` list to be `list`. Objects of which can be of type:
  Hierarchy

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHierarchies

    void setHierarchies(AssociationList inObjects,
                        int state)
                        throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOLAPProperties

    void setOLAPProperties(AssociationList list)
                           throws java.rmi.RemoteException

  Sets the `OLAPProperties` list to be `list`. Objects of which can be of type:
  OLAPProperty

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOLAPProperties

    void setOLAPProperties(AssociationList inObjects,
                           int state)
                           throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningDimensions

    void setOwningDimensions(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `OwningDimensions` list to be `list`. Object of which can be of type:
  Dimension
  SharedDimension

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningDimensions

    void setOwningDimensions(AssociationList list,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `OwningDimensions` list to be `list`. Object of which can be of type:
  Dimension
  SharedDimension

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningDimension

    void setOwningDimension(Dimension inObject)
                            throws java.rmi.RemoteException

  Sets the `OwningDimensions` list 0th element to be `inObject`.

  Parameters:
    `inObject` - Dimension
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAggregations

    void setAggregations(AssociationList list)
                         throws java.rmi.RemoteException

  Sets the `Aggregations` list to be `list`. Objects of which can be of type:
  Aggregation

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAggregations

    void setAggregations(AssociationList inObjects,
                         int state)
                         throws java.rmi.RemoteException

  Sets the entire Aggregations list to match the passed in AssociationList, sets the state of the Aggregations

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCalculatedMembers

    void setCalculatedMembers(AssociationList list)
                              throws java.rmi.RemoteException

  Sets the `CalculatedMembers` list to be `list`. Objects of which can be of type:
  CalculatedMember

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCalculatedMembers

    void setCalculatedMembers(AssociationList inObjects,
                              int state)
                              throws java.rmi.RemoteException

  Sets the entire CalculatedMembers list to match the passed in AssociationList, sets the state of the CalculatedMembers

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHierarchyLevels

    void setHierarchyLevels(AssociationList list)
                            throws java.rmi.RemoteException

  Sets the `HierarchyLevels` list to be `list`. Objects of which can be of type:
  HierarchyLevel

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHierarchyLevels

    void setHierarchyLevels(AssociationList inObjects,
                            int state)
                            throws java.rmi.RemoteException

  Sets the entire HierarchyLevels list to match the passed in AssociationList, sets the state of the HierarchyLevels

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.